Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000329 [1003.1(2008)/Issue 7] System Interfaces Editorial Error 2010-10-11 15:22 2013-04-16 13:06
Reporter weeks View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Closed  
Name Nathan Weeks
Organization
User Reference
Section semop
Page Number 1839
Line Number 58742
Interp Status Approved
Final Accepted Text Note: 0000566
Summary 0000329: semop() description lists incorrect type for sem_num
Description The description for semop() states that the sem_num member of the sembuf structure is of type "short". The description for the header sys/sem.h lists the type as "unsigned short".
Desired Action Change the type of the sem_num member of the sembuf structure in the description of semop() to "unsigned short" to be consistent with sys/sem.h.
Tags tc1-2008
Attached Files

- Relationships

-  Notes
(0000566)
geoffclare (manager)
2010-10-11 16:18
edited on: 2010-10-14 16:25

Interpretation response
------------------------
The standard is unclear on this issue, and no conformance distinction can be made between alternative implementations based on this. This is being referred to the sponsor.

Rationale:
-------------
None.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
Change the type of the sem_num member of the sembuf structure in the description of semop() to "unsigned short"

At page 1840 line 58804 (EFBIG) delete "is less than 0 or".

(0000639)
ajosey (manager)
2010-12-16 16:14

Comments are due on this interpretation by January 16 2011

- Issue History
Date Modified Username Field Change
2010-10-11 15:22 weeks New Issue
2010-10-11 15:22 weeks Status New => Under Review
2010-10-11 15:22 weeks Assigned To => ajosey
2010-10-11 15:22 weeks Name => Nathan Weeks
2010-10-11 15:22 weeks Section => semop
2010-10-11 15:22 weeks Page Number => 0
2010-10-11 15:22 weeks Line Number => 0
2010-10-11 15:28 weeks Issue Monitored: weeks
2010-10-11 16:18 geoffclare Note Added: 0000566
2010-10-11 16:19 geoffclare Page Number 0 => 1839
2010-10-11 16:19 geoffclare Line Number 0 => 58742
2010-10-11 16:19 geoffclare Interp Status => ---
2010-10-14 16:23 geoffclare Final Accepted Text => Note: 0000566
2010-10-14 16:23 geoffclare Status Under Review => Interpretation Required
2010-10-14 16:23 geoffclare Resolution Open => Accepted As Marked
2010-10-14 16:25 geoffclare Note Edited: 0000566
2010-10-14 16:26 geoffclare Interp Status --- => Pending
2010-10-14 16:28 geoffclare Tag Attached: tc1-2008
2010-12-16 16:14 ajosey Interp Status Pending => Proposed
2010-12-16 16:14 ajosey Note Added: 0000639
2011-01-18 12:29 ajosey Interp Status Proposed => Approved
2013-04-16 13:06 ajosey Status Interpretation Required => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker